INCLUDES = -I$(top_srcdir) $(all_includes)

lib_LTLIBRARIES = libtdeabc_carddav.la

libtdeabc_carddav_la_SOURCES = resource.cpp \
                               config.cpp \
                               configwidgets.cpp \
                               preferences.cpp \
                               job.cpp \
                               reader.cpp \
                               writer.cpp \
                               prefsskel.kcfgc
libtdeabc_carddav_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) \
                               -version-info 1:0:0 -no-undefined
libtdeabc_carddav_la_LIBADD = \
                              $(top_builddir)/libtdepim/libtdepim.la \
                              $(top_builddir)/libkcal/libkcal.la \
                              -ltdeabc \
                              -lcarddav
libtdeabc_carddav_la_COMPILE_FIRST = prefsskel.h

kde_module_LTLIBRARIES = tdeabc_carddav.la

tdeabc_carddav_la_SOURCES = plugin.cpp
tdeabc_carddav_la_LDFLAGS = $(all_libraries) -module -no-undefined $(KDE_PLUGIN)
tdeabc_carddav_la_LIBADD = libtdeabc_carddav.la
tdeabc_carddav_la_COMPILE_FIRST = prefsskel.h

tdeabc_servicedir = $(kde_servicesdir)/tderesources/tdeabc
tdeabc_service_DATA = tdeabc_carddav.desktop

METASOURCES = AUTO

messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/kres_carddav.pot
